Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
GnuPG und IDEA-Support
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Salem
Tux's lil' helper
Tux's lil' helper


Joined: 10 Nov 2002
Posts: 103
Location: Bayreuth, Germany

PostPosted: Thu Jul 08, 2010 9:07 pm    Post subject: GnuPG und IDEA-Support Reply with quote

Hallo,

ich benötige dringend IDEA-Support unter GPG. Leider scheint es für GPG 2.x kein libgcrypt mit IDEA-Support zu geben (ging angeblich mal mit USE-Flag idea). Bleibt wohl nur die Lösung GnuPG 1.x zu emergen.

Nur wie verhindere ich jetzt zuverlässig Updates?

Ich habe es mit folgender Zeile in der package.mask probiert:
Code:
>app-crypt/gnupg-1.4.10


Jetzt habe ich aber Probleme mit Abhängigkeiten:
Code:
!!! All ebuilds that could satisfy ">=app-crypt/gnupg-2.0.11" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-crypt/gnupg-2.0.15 (masked by: package.mask)
- app-crypt/gnupg-2.0.14 (masked by: package.mask)
- app-crypt/gnupg-2.0.13 (masked by: package.mask)
- app-crypt/gnupg-2.0.12 (masked by: package.mask)
- app-crypt/gnupg-2.0.11 (masked by: package.mask)

(dependency required by "kde-base/kdelibs-4.4.5" [installed])
(dependency required by "world" [argument])


Was also am besten tun? :(

Danke
_________________
Salem
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Thu Jul 08, 2010 10:22 pm    Post subject: Reply with quote

Also das 'idea' Useflag gabs zuletzt bei libgcrypt-1.4.3-r1. Wenn ich die Deps richtige sehe, sollte das neue gnupg auch damit zufrieden sein. Insofern würde ich vorschlagen, lieber die neueren libgcrypt-Versionen zu maskieren und dann das aktuelle gnupg zu verwenden :)

(Note: Nicht probiert ... nur vom Lesen der Ebuilds)
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Salem
Tux's lil' helper
Tux's lil' helper


Joined: 10 Nov 2002
Posts: 103
Location: Bayreuth, Germany

PostPosted: Fri Jul 09, 2010 12:40 am    Post subject: Reply with quote

Danke für den Tipp, hab ich auch gleich mal probiert.

Das libgcrypt hat sich brav mit meinem schon gesetzen IDEA-Flag compiliert, nur nach einem GPG-Update auf die aktuelle Version fehlt leider wieder IDEA :(
Code:
veerle gnupg # gpg --version
gpg (GnuPG) 2.0.15
libgcrypt 1.4.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Home: ~/.gnupg
Supported algorithms:
Pubkey: RSA, ELG, DSA
Cipher: 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH, CAMELLIA128,
        CAMELLIA192, CAMELLIA256
Hash: MD5, SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
Compression: Uncompressed, ZIP, ZLIB, BZIP2


Schade :(

Danke
_________________
Salem
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum